<?php
	/* Load WordPress core files */
	$path = $_SERVER['DOCUMENT_ROOT'];
 	include_once $path . '/wp-load.php';
 	include_once $path . '/wp-includes/wp-db.php';
 	
 	/* Administrator Email Address */
 	$adminEmail = get_bloginfo('admin_email');
 	
 	/* Email Subject */
 	$subject = "Error Notification" . " - " . get_bloginfo('name');	
    
    /* Text that was selected by the visitor */
 	$errorText = sanitize_text_field($_POST['pageError']);
 	
 	/* Web Page name where an error was found */
 	$errorPage = sanitize_text_field($_POST['pageName']);
 	
 	/* Web Page URL where an error was found */
 	$errorUrl = esc_url($_POST['pageUrl']);
 	
 	/* Email Message */
 	$message = "A visitor found an error on your website \n\n";
 	$message .= "Page Title: " . $errorPage . "\n";
 	$message .= "Page URL: " . $errorUrl . "\n";
 	$message .= "Error: " . $errorText . "\n";
 	$message .= "Date: " . date("F j, Y, g:i a") . "\n";
	
	/* Send Email to the administrator */
	$result = wp_mail($adminEmail, $subject, $message);
	
	/* return the result */
	echo $result;

?>